org.deidentifier.arx.risk

## Class RiskModelSampleSummary.RiskSummary

- java.lang.Object
- - org.deidentifier.arx.risk.RiskModelSampleSummary.RiskSummary

Direct Known Subclasses:
  RiskModelSampleSummary.JournalistRisk, RiskModelSampleSummary.ProsecutorRisk

Enclosing class:
  RiskModelSampleSummary

    public static class RiskModelSampleSummary.RiskSummary
    extends java.lang.Object

A set of derived risk estimates

Author:
  Fabian Prasser

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getAverageRisk()` Returns the average risk
`double` `getEffectiveRiskThreshold()` Returns the effective threshold, which may differ from user-specified parameters due to rounding issues.
`double` `getHighestRisk()` Maximum probability of re-identification
`double` `getRecordsAtRisk()` Proportion of records with risk above threshold
`double` `getRiskThreshold()` Returns the threshold specified by the user.
`double` `getSuccessRate()` Proportion of records that can be re-identified on average

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getAverageRisk

    public double getAverageRisk()

Returns the average risk

Returns:
  the average risk

#### getEffectiveRiskThreshold

    public double getEffectiveRiskThreshold()

Returns the effective threshold, which may differ from user-specified parameters due to rounding issues.

Returns:

#### getHighestRisk

    public double getHighestRisk()

Maximum probability of re-identification

Returns:

#### getRecordsAtRisk

    public double getRecordsAtRisk()

Proportion of records with risk above threshold

Returns:

#### getRiskThreshold

    public double getRiskThreshold()

Returns the threshold specified by the user. Note: the actual threshold used may differ slightly. See: `getEffectiveRiskThreshold()`.

Returns:

#### getSuccessRate

    public double getSuccessRate()

Proportion of records that can be re-identified on average

Returns: